---
title: Updates myself
slug: cms-12/api/updates-myself
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "vY6i-fme_rQCuOQiEVeqD",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "/api/episerver/v3.0/me",
    "servers": [],
    "name": "Updates myself",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/problem+json"
          ],
          "default": "application/problem+json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Contact view model.",
          "customType": "customer",
          "schema": [
            {
              "name": "created",
              "kind": "optional",
              "type": "string<date-time>",
              "nullable": true,
              "description": "When contact was created.",
              "format": "date-time"
            },
            {
              "name": "modified",
              "kind": "optional",
              "type": "string<date-time>",
              "nullable": true,
              "description": "Last time contact was updated.",
              "format": "date-time"
            },
            {
              "name": "lastName",
              "kind": "required",
              "type": "string",
              "description": "The last name of the contact."
            },
            {
              "name": "firstName",
              "kind": "required",
              "type": "string",
              "description": "The first name of the contact."
            },
            {
              "name": "email",
              "kind": "required",
              "type": "string",
              "description": "The email of the contact."
            },
            {
              "name": "birthDate",
              "kind": "optional",
              "type": "string<date-time>",
              "nullable": true,
              "description": "The birth date of the contact.",
              "format": "date-time"
            },
            {
              "name": "lastOrder",
              "kind": "optional",
              "type": "string<date-time>",
              "nullable": true,
              "description": "The last time the contact placed an order.",
              "format": "date-time"
            },
            {
              "name": "customerGroup",
              "kind": "optional",
              "type": "string",
              "nullable": true,
              "description": "The customer group the contact belongs to."
            },
            {
              "name": "preferredLanguage",
              "kind": "optional",
              "type": "string",
              "nullable": true,
              "description": "The preferred language of the contact."
            },
            {
              "name": "preferredCurrency",
              "kind": "optional",
              "type": "string",
              "nullable": true,
              "description": "The preferred currency of the contact."
            },
            {
              "name": "registrationSource",
              "kind": "optional",
              "type": "string",
              "nullable": true,
              "description": "How the contact was created."
            },
            {
              "name": "preferredShippingAddressName",
              "kind": "optional",
              "type": "string",
              "nullable": true,
              "description": "Link to preferred shipping address."
            },
            {
              "name": "preferredBillingAddressName",
              "kind": "optional",
              "type": "string",
              "nullable": true,
              "description": "Link to preferred billing address."
            },
            {
              "name": "customerId",
              "kind": "optional",
              "type": "string",
              "nullable": true,
              "description": "The customer id."
            },
            {
              "name": "acceptMarketingEmail",
              "kind": "optional",
              "type": "boolean",
              "nullable": true,
              "description": "Gdpr field."
            },
            {
              "name": "consentUpdated",
              "kind": "optional",
              "type": "string<date-time>",
              "nullable": true,
              "description": "Last time acknowledged consent.",
              "format": "date-time"
            },
            {
              "name": "extendedProperties",
              "kind": "optional",
              "type": "array",
              "nullable": true,
              "description": "Custom properties added by partner or customer.",
              "modelRef": "#/components/schemas/extendedProperty",
              "customType": "extendedProperty[]",
              "schema": [
                {
                  "name": "name",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "Name of the property"
                },
                {
                  "name": "value",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "The property value."
                }
              ]
            },
            {
              "name": "addresses",
              "kind": "optional",
              "type": "array",
              "nullable": true,
              "description": "List Addresses which belong to current contact.",
              "modelRef": "#/components/schemas/meAddress",
              "customType": "meAddress[]",
              "schema": [
                {
                  "name": "customerId",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "The customer id."
                },
                {
                  "name": "addressType",
                  "kind": "optional",
                  "type": "array",
                  "nullable": true,
                  "description": "The address type.",
                  "example": "",
                  "itemType": "integer",
                  "customType": "integer[]",
                  "itemExample": "",
                  "itemDefault": ""
                },
                {
                  "name": "lastName",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "The last name of the address."
                },
                {
                  "name": "firstName",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "The first name of the address."
                },
                {
                  "name": "daytimePhoneNumber",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "Daytime phone number."
                },
                {
                  "name": "eveningPhoneNumber",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "Evening phone number."
                },
                {
                  "name": "email",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "Email."
                },
                {
                  "name": "line2",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "Extra address line."
                },
                {
                  "name": "region",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "Region"
                },
                {
                  "name": "countryCode",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "Country code"
                },
                {
                  "name": "countryName",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "Country name"
                },
                {
                  "name": "postalCode",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "Postal code"
                },
                {
                  "name": "regionCode",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "Region code"
                },
                {
                  "name": "name",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "The name of the address."
                },
                {
                  "name": "line1",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "The address line."
                },
                {
                  "name": "city",
                  "kind": "optional",
                  "type": "string",
                  "nullable": true,
                  "description": "City"
                },
                {
                  "name": "extendedProperties",
                  "kind": "optional",
                  "type": "array",
                  "nullable": true,
                  "description": "Custom properties added by partner or customer.",
                  "modelRef": "#/components/schemas/extendedProperty",
                  "customType": "extendedProperty[]",
                  "schema": [
                    {
                      "name": "name",
                      "kind": "optional",
                      "type": "string",
                      "nullable": true,
                      "description": "Name of the property"
                    },
                    {
                      "name": "value",
                      "kind": "optional",
                      "type": "string",
                      "nullable": true,
                      "description": "The property value."
                    }
                  ]
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/customer",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Success",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "Yx4ftvP3UiYl0zO4FURqt",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url /api/episerver/v3.0/me \\\n     --header 'accept: application/problem+json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"lastName\": \"\",\n     \"firstName\": \"\",\n     \"email\": \"\"\n     }'"
        },
        {
          "id": "RxyXNYGDvfOiMqFdcxrHv",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/problem+json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"lastName\": \"\",\n   \"firstName\": \"\",\n   \"email\": \"\"\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/me\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "81Qt93P1H3WSgp7Ng9wKH",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/me\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/problem+json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"lastName\": \"\",\n   \"firstName\": \"\",\n   \"email\": \"\"\n})\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "gzE8jq2VW3lRiA9p5JNbC",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/me\"\n\npayload = json.dumps({\n   \"lastName\": \"\",\n   \"firstName\": \"\",\n   \"email\": \"\"\n})\nheaders = {\n   'accept': 'application/problem+json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "Yx4ftvP3UiYl0zO4FURqt"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Success\n"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}